import * as anchor from "@project-serum/anchor";
import { ValidateKycData, Gender } from "../types";
import { ProviderClient } from "../clients/provider-client";
export declare function keypairFromJson(secretKey: number[]): anchor.web3.Keypair;
export declare function normalizeName(name: string): string;
export declare const stringToBytes32: (str: string | null) => number[];
export declare const validateAndHashKycParams: (client: ProviderClient, kycLevel: number, salt: string, name: string | null, documentId: string | null, country: string, phone: string, dob: Date | null, doe: Date | null, gender: Gender | null) => ValidateKycData;
